Skip to main content
Resource Center/Resource Pool/VM Instance Operations

UpdateGuestToolsState

UpdateGuestToolsState

PUT/zstack/v1/vm-instances/{vmInstanceUuid}/guesttools-state

Operation ID

UpdateGuestToolsState

Since

4.6.21

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

application/json

Path Parameters

  • vmInstanceUuid
    StringRequired

    The VM instance UUID.

Body Fields

  • systemTags
    List

    Optional. The system tags.

  • userTags
    List

    Optional. The user UUIDs.

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • success
    booleanRequired

    Whether the operation succeeded.

  • error
    ErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • code
      StringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • description
      StringRequired

      The brief description of the error.

    • details
      StringRequired

      The details about the error.

    • elaboration
      StringRequired

      The reserved field. Default value: null.

    • opaque
      LinkedHashMapRequired

      The reserved field. Default value: null.

    • cause
      ErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventory
    GuestToolsStateInventoryRequired

    See inventory.

    • vmInstanceUuid
      StringRequired

      The VM instance UUID.

    • version
      StringRequired

      The VM GuestTools version.

    • platform
      StringRequired

      The VM OS platform type.

    • osType
      StringRequired

      The VM OS type.

    • createDate
      TimestampRequired

      The creation date.

    • lastOpDate
      TimestampRequired

      The last operation date.

    • qgaState
      GuestToolsQgaStateRequired

      See qgaState.

      • NotInstalled
        GuestToolsQgaStateRequired

        The QGA is not installed.

      • Running
        GuestToolsQgaStateRequired

        The QGA is running.

      • NotRunning
        GuestToolsQgaStateRequired

        The QGA is stopped.

      • NotUpgraded
        GuestToolsQgaStateRequired

        The QGA needs to be upgraded.

    • zwatchState
      GuestToolsZWatchStateRequired

      See zwatchState.

      • NotInstalled
        GuestToolsZWatchStateRequired

        The zwatch is not installed.

      • Running
        GuestToolsZWatchStateRequired

        The zwtach is running.

      • NotRunning
        GuestToolsZWatchStateRequired

        The zwatch is not running.